<?xml version="1.0" encoding="utf-8"?>
<taskrunner name="run.dice.reinstall" version="1.0" date="2009-02-11" maxthreads="1">


  <!--
    Reinstalls DiCE
  -->

  <includes>
    <file name="vida.install.settings.xml" />
  </includes>

  <properties>
    <property key="src.install.dice.dir" value="${install.src.3pp.products.dir}\DiCE\DiCE_Software"/>
  </properties>


  <tasks>
    
    <task name="reinstall" typename="@CommandLine">
      <parameters>
        <parameter name="filename" value="msiexec.exe"/>
        <parameter name="arguments" value="/quiet /p &quot;%~dp0%DiCE_Software\DiCE_patch_552_x86.msp&quot; REINSTALL=ALL REINSTALLMODE=ous /qn"/>
        <parameter name="workingdirectory" value="${src.install.dice.dir}"/>
        <parameter name="exitcode.return.value" value="dice.install.exitcode"/>
      </parameters>
    </task>
    
    <task name="install.failed" typename="@WriteInformation" condition="¤{dice.install.exitcode}!=0">
      <dependencies list="install"/>
      <parameters>
        <parameter name="message" value="Installation of DiCE failed with error code ¤{dice.install.exitcode}."/>
        <parameter name="loglevel" value="error"/>
      </parameters>
    </task>
    
    <task name="install.success" typename="@WriteInformation" condition="¤{dice.install.exitcode}=0">
      <dependencies list="install"/>
      <parameters>
        <parameter name="message" value="DiCE installed successfully."/>
        <parameter name="loglevel" value="info"/>
      </parameters>
    </task> 
    
  </tasks>
</taskrunner>